/**
 * `AuthenticationError` error.
 *
 * @constructor
 * @api private
 */
function EmailAlreadyExists(message, status) {
  Error.call(this);
  Error.captureStackTrace(this, arguments.callee);
  this.name = 'EmailAlreadyExists';
  this.message = message;
}

// Inherit from `Error`.
EmailAlreadyExists.prototype.__proto__ = Error.prototype;


// Expose constructor.
module.exports = EmailAlreadyExists;
