/**
 * `AuthenticationError` error.
 *
 * @constructor
 * @api private
 */
function UserDoesntExists(message, status) {
  Error.call(this);
  Error.captureStackTrace(this, arguments.callee);
  this.name = 'UserDoesntExists';
  this.message = message;
}

// Inherit from `Error`.
UserDoesntExists.prototype.__proto__ = Error.prototype;


// Expose constructor.
module.exports = UserDoesntExists;