var PasswordInCorrectError = require("./errors/PasswordInCorrectError");
var EmailDoesntExistsError =  require("./errors/EmailDoesntExistsError");
var UserDoesntExists = require("./errors/UserDoesntExists");
var EmailAlreadyExists = require("./errors/EmailAlreadyExists");
var ResetPasswordTokenIsInvalid = require("./errors/ResetPasswordTokenIsInvalid");
var EmailVerificationTokenIsInValid = require("./errors/EmailVerificationTokenIsInValid");
var EmailVerificationRequiredError = require("./errors/EmailVerificationRequiredError");

module.exports = {
	"PasswordInCorrectError": PasswordInCorrectError,
	"EmailDoesntExistsError": EmailDoesntExistsError,
	"UserDoesntExists": UserDoesntExists,
	"EmailAlreadyExists": EmailAlreadyExists,
	"ResetPasswordTokenIsInvalid": ResetPasswordTokenIsInvalid,
	"EmailVerificationTokenIsInValid": EmailVerificationTokenIsInValid,
	"EmailVerificationRequiredError": EmailVerificationRequiredError,
	"EmailVerificationPasswordRequiredError": EmailVerificationPasswordRequiredError
}